include	clib.inc
include	dos.inc

PPROC	wsetcreatedate, h, d, t:word
	push	si
	stc
	mov	ax,5707h
	mov	bx,h
	mov	cx,t
	mov	dx,d
	mov	si,0
	int	21h
	jc	wsetcreatedate_error
	xor	ax,ax
    wsetcreatedate_toend:
	pop	si
	ret
    wsetcreatedate_error:
	call	@dosmaper
	mov	ax,-1
	jmp	wsetcreatedate_toend
PEND	wsetcreatedate

	END